Debian Bug report logs - #662849
ITP: bwctl -- bandwidth test controller

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raoul Gunnar Borenius <borenius@dfn.de>

Date: Tue, 6 Mar 2012 19:36:02 UTC

Owned by: Raoul Gunnar Borenius <borenius@dfn.de>

Severity: wishlist

Fixed in version bwctl/1.4.1~rc2-1

Done: Raoul Gunnar Borenius <borenius@dfn.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#662849; Package wnpp. (Tue, 06 Mar 2012 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raoul Gunnar Borenius <borenius@dfn.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 06 Mar 2012 19:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raoul Gunnar Borenius <borenius@dfn.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: bwctl -- bandwidth test controller
Date: Tue, 06 Mar 2012 20:34:04 +0100
Package: wnpp
Severity: wishlist
Owner: Raoul Gunnar Borenius <borenius@dfn.de>

* Package name    : bwctl
  Version         : 1.3
  Upstream Author : Jeff Boote <boote@internet2.edu>, Aaron Brown <aaron@internet2.edu>
* URL             : http://www.internet2.edu/performance/bwctl/
* License         : custom license (but upstream is thinking
                    about changing to a well known license):

/*********************************************************************
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
* 
*     * Redistributions of source code must retain the following copyright notice,
*       this list of conditions and the disclaimer below.
* 
*        Copyright (c) 2003-2008, Internet2
* 
*                              All rights reserved.
* 
*     * Redistribution in binary form must reproduce the above copyright notice,
*       this list of conditions and the following disclaimer in the documentation
*       and/or other materials provided with the distribution.
* 
*    *  Neither the name of Internet2 nor the names of its contributors may be
*       used to endorse or promote products derived from this software without
*       explicit prior written permission.
* 
* You are under no obligation whatsoever to provide any enhancements to Internet2,
* or its contributors.  If you choose to provide your enhancements, or if you
* choose to otherwise publish or distribute your enhancement, in source code form
* without contemporaneously requiring end users to enter into a separate written
* license agreement for such enhancements, then you thereby grant Internet2, its
* contributors, and its members a non-exclusive, royalty-free, perpetual license
* to copy, display, install, use, modify, prepare derivative works, incorporate
* into the software or other computer software, distribute, and sublicense your
* enhancements or derivative works thereof, in binary and source code form.
* 
* DISCLAIMER - THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* “AS IS” AND WITH ALL FAULTS.  THE UNIVERSITY OF DELAWARE, INTERNET2, ITS CONTRI-
* BUTORS, AND ITS MEMBERS DO NOT IN ANY WAY WARRANT, GUARANTEE, OR ASSUME ANY RES-
* PONSIBILITY, LIABILITY OR OTHER UNDERTAKING WITH RESPECT TO THE SOFTWARE. ANY E-
* XPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRAN-
* TIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT
* ARE HEREBY DISCLAIMED AND THE ENTIRE RISK OF SATISFACTORY QUALITY, PERFORMANCE,
* ACCURACY, AND EFFORT IS WITH THE USER THEREOF.  IN NO EVENT SHALL THE COPYRIGHT
* OWNER, CONTRIBUTORS, OR THE UNIVERSITY CORPORATION FOR ADVANCED INTERNET DEVELO-
* PMENT, INC. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
* OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTIT-
* UTE GOODS OR SERVICES; REMOVAL OR REINSTALLATION LOSS OF USE, DATA, SAVINGS OR
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILIT-
* Y, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHE-
* RWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRUBUTION OF THIS SOFTWARE, EVEN
* IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
* 
**********************************************************************/

  Programming Lang: C
  Description     : bandwidth test controller

BWCTL is a command line client application and a scheduling and policy daemon
that wraps the throughput testing tools Iperf, Thrulay, and Nuttcp.
These tests can measure maximum TCP bandwidth, with various tuning options
available, or, by doing a UDP test, the delay, jitter, and datagram loss
of a network.




Added blocking bug(s) of 662849: 666221 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 07:48:24 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 09 Dec 2012 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to Raoul Gunnar Borenius <borenius@dfn.de>:
You have taken responsibility. (Mon, 10 Dec 2012 21:03:13 GMT) Full text and rfc822 format available.

Notification sent to Raoul Gunnar Borenius <borenius@dfn.de>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 21:03:14 GMT) Full text and rfc822 format available.

Message #14 received at 662849-close@bugs.debian.org (full text, mbox):

From: Raoul Gunnar Borenius <borenius@dfn.de>
To: 662849-close@bugs.debian.org
Subject: Bug#662849: fixed in bwctl 1.4.1~rc2-1
Date: Mon, 10 Dec 2012 21:00:33 +0000
Source: bwctl
Source-Version: 1.4.1~rc2-1

We believe that the bug you reported is fixed in the latest version of
bwctl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662849@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raoul Gunnar Borenius <borenius@dfn.de> (supplier of updated bwctl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 29 Nov 2012 13:27:49 +0100
Source: bwctl
Binary: bwctl-client bwctl-server
Architecture: source i386
Version: 1.4.1~rc2-1
Distribution: unstable
Urgency: low
Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
Changed-By: Raoul Gunnar Borenius <borenius@dfn.de>
Description: 
 bwctl-client - bandwidth test controller (client)
 bwctl-server - bandwidth test controller (server)
Closes: 662849
Changes: 
 bwctl (1.4.1~rc2-1) unstable; urgency=low
 .
   * Initial release (Closes: #662849)
Checksums-Sha1: 
 c8ddbb7eee62171d870e3fc044ef252085df419f 1799 bwctl_1.4.1~rc2-1.dsc
 388ddc1e0ac668f721e8273ffec733791dd45ab7 1424748 bwctl_1.4.1~rc2.orig.tar.gz
 656cbcdcdac33e3e66f0c1abdae76556657b8d4a 13027 bwctl_1.4.1~rc2-1.debian.tar.gz
 e1f870d685c4b72b651f6c8936ed00f31f920c44 129196 bwctl-client_1.4.1~rc2-1_i386.deb
 cf641b4ff9caba99d020a0e95da5de392823bf90 168580 bwctl-server_1.4.1~rc2-1_i386.deb
Checksums-Sha256: 
 8eb1d414a4ad46616b9019ae334a4af09332cdd3e63a45985888f3c0718aa7d5 1799 bwctl_1.4.1~rc2-1.dsc
 a8521eff2eb91ca0dda94417b0dbcfc4c1b4481b3fce622273d84e7423885a14 1424748 bwctl_1.4.1~rc2.orig.tar.gz
 ab3a6552526b581a78e5ca8ac8f20521eb85cdc6a82afab605094ad64f4ee9fd 13027 bwctl_1.4.1~rc2-1.debian.tar.gz
 e621cd18ae5ebc219404c015c3bab77f91f5f878ceb7e9f354e9a2dad35c8e01 129196 bwctl-client_1.4.1~rc2-1_i386.deb
 fa247cb1dd407febb9dcaa88d65fdb29ad6c42e3bb6f80da1483206cb7d4dd9e 168580 bwctl-server_1.4.1~rc2-1_i386.deb
Files: 
 99cfe0d6c776a4c7b6ee93fc056f808e 1799 net optional bwctl_1.4.1~rc2-1.dsc
 b0caf56f56be0c4d4838d43d41756866 1424748 net optional bwctl_1.4.1~rc2.orig.tar.gz
 15e2bd80d034cb381b57582c0d65f3b1 13027 net optional bwctl_1.4.1~rc2-1.debian.tar.gz
 667392d5e5c1ba7914ae054b7c3c05a8 129196 net optional bwctl-client_1.4.1~rc2-1_i386.deb
 49ff536028f9974bcf5ba18234b7200f 168580 net optional bwctl-server_1.4.1~rc2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQwxqjAAoJELbE2bY7/+c8+gkQAIxvT2dIWIDCcPYdJFlLoE2I
IQMfFZVb62X2TLG65lut9CjLr7JsHrzP6pUjtakAC1KHcBEJdFGNygJtnPTGZX3b
x0t0d1UORAVtcomiALCCW1U/LZ4Vd3bCLuhlgki1zIzeOPHRQ3uLxy5G/4CJOJUu
zvI8opZTHHRCrF8h0NDU8NPjkW9IzfYMQfo4oVOaqC+tbysGNoSDppE6tUfZeUrN
4BnZUPRsjY5RyfZitOygzGOFZEeZmkuDhyA1H80g1jC1+87z+kOz+1T37lFRG2qt
PvonVAwKEqK5Lc7MwdN2d+TBUj+H7Eyf8UDBnCTh9DVy02MX9kwfXFy1R6TFVXx9
1O+43aYEgFGqyn7omxrOCMmKzj5HZPBItNrf7n4yifNSgxHLVq8a0CcpKAZDcT8E
49i8JCqbjHzVG770x7pYZQ7aOJmbWVfhhZ5AUFgUCraOWRq65kgJ3gplceiBICdC
JWIKiHwzYTZRPlli+gfj6KCp7oXPKrD0bMxsAyBiK/Goms9K9NtUifPWTE8Spm4h
vJELtC+kYYZebc+Fa8/cU+1wY0jBBdfCLt+kvkgMhoqYRHAmbtQVMc92pNMAgPmu
H9vxyHLw8tSz8QBvCuLStOUyFZJrQv+w4c2ErxkFdX67P9RDzNjk1Zz6VTb5L0B2
BOw0dbzdqjV10dcJ+mjY
=6XJ1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Jan 2013 07:28:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:08:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.